if not exists (select * from dbo.sysobjects where id = object_id(N'[VOTE_SYSTEM]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [VOTE_SYSTEM]
(
	[VoteSystemId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[VoteSystemName] [varchar](100) NOT NULL UNIQUE,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[VOTE_FEATURE]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [VOTE_FEATURE]
(
	[VoteFeatureId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[FeatureName] [varchar](100) NOT NULL,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[VOTE]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [VOTE]
(
	[VoteId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[VoteSystemId] [int] NOT NULL FOREIGN KEY REFERENCES [VOTE_SYSTEM] ([VoteSystemId]),
	[VoteName] [varchar](100) NOT NULL,
	[Score] [int] NOT NULL,
	[Comment] [varchar](1000) NULL,
) 
GO