using System;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace VoteApp.Pages
{
    public class LoginModel : PageModel
    {
        readonly IConfiguration _configuration;
        public string connectionString;

        public string roleName;
        public string loginName;
        public int login = 0;

        string passwordAdministrator;
        string passwordStudent;
        string password;
        

        public const string SessionKeyLogin = "_Login";
        public string SessionInfo_Login { get; private set; }

        public const string SessionKeyLoginName = "_LoginName";
        public string SessionInfo_LoginName { get; private set; }

        public LoginModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }
        public void OnGet()
        {
        }

        public void OnPost()
        {
            roleName = Request.Form["RoleName"];
            loginName = Request.Form["LoginName"];
            password = Request.Form["Password"];

            passwordAdministrator = _configuration.GetSection("Passwords").GetValue<string>("PasswordAdministrator");
            passwordStudent = _configuration.GetSection("Passwords").GetValue<string>("PasswordStudent");

            if (roleName == "Student" & password == passwordStudent)
            {
                HttpContext.Session.SetInt32(SessionKeyLogin, 1);
                HttpContext.Session.SetString(SessionKeyLoginName, loginName);
                Response.Redirect("./User");
                login = 1;
            }
            else if (roleName == "Administrator" & password == passwordAdministrator)
            {
                HttpContext.Session.SetInt32(SessionKeyLogin, 2);
                HttpContext.Session.SetString(SessionKeyLoginName, loginName);
                Response.Redirect("./User");
                login = 2;
            }
            else
            {
                HttpContext.Session.SetInt32(SessionKeyLogin, 0);
                HttpContext.Session.SetString(SessionKeyLoginName, "");
                Response.Redirect("./User");
                login = 0;
            }
        }
    }
}
