using System;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace VoteApp.Pages
{
    public class LogoutModel : PageModel
    {
        public const string SessionKeyLogin = "_Login";
        public string SessionInfo_Login { get; private set; }

        public const string SessionKeyLoginName = "_LoginName";
        public string SessionInfo_LoginName { get; private set; }

        public void OnGet()
        {
            HttpContext.Session.SetInt32(SessionKeyLogin, 0);
            HttpContext.Session.SetString(SessionKeyLoginName, "");

            Response.Redirect("./User");
        }
    }
 
}
